GETTEXT(1)

NOM
gettext - Traduire des messages

SYNOPSIS
gettext [OPTION] [[TEXTDOMAIN] MSGID]
gettext [OPTION] -s [MSGID]...

DESCRIPTION
Le programme gettext traduit un message en langue originale dans la langue de l'utilisateur, en recherchant la traduction dans un catalogue de messages.

Afficher la traduction en langage natif d'un message textuel.

-d, --domain=TEXTDOMAIN
    récupérer les messages traduits à partir du TEXTDOMAIN indiqué

-c, --context=CONTEXT
    spécifier le contexte pour MSGID

-e  activer le développement de certaines suites de caractères de protection

-n  supprimer les sauts de lignes finaux

-E  (ignoré pour compatibilité)

[TEXTDOMAIN] MSGID
    récupérer le message traduit correspondant à MSGID à partir de TEXTDOMAIN

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter.

-V, --version
    afficher la version du logiciel et quitter

Si le paramètre TEXTDOMAIN n'est pas donné, le domaine est déterminé à partir de la variable d'environnement TEXTDOMAIN. Si le catalogue de messages n'est pas trouvé dans le répertoire normal, un autre emplacement peut être spécifié dans la variable d'environnement TEXTDOMAINDIR. Quand le programme est utilisé avec l'option -s, il se comporte comme la commande echo(1). Mais il ne fait pas que copier simplement ses arguments dans la sortie standard. Au lieu de cela, les messages trouvés dans le catalogue sélectionné sont traduits. Le répertoire de recherche standard est /usr/share/locale.

AUTEUR
Écrit par Ulrich Drepper.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 1995-2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de gettext est disponible dans un manuel Texinfo. Si les programmes info et gettext sont correctement installés, la commande

    info gettext

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.